Skip to main content
Resource Center/Hardware/Host Operations
PUTHost OperationsSince 0.6SynchronousAuth Required

KvmRunShell

KvmRunShell

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • kvmrunshellObjectRequired

    kvmrunshell request body object.

    • hostUuidsSetRequired

      The target host UUIDs.

    • scriptStringRequired

      The script.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryMapRequired

    See inventory.

    • returnCodeintRequired

      返回代码。

    • stdoutStringRequired

      No description provided.

    • stderrStringRequired

      No description provided.

    • errorCodeErrorCodeRequired

      See errorCode.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

PUT/zstack/v1/hosts/kvm/actions

/zstack/v1/hosts/kvm/actions

Operation ID

KvmRunShell

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/kvm/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"kvmrunshell":{"hostUuids":"<hostUuids>","script":"<script>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "8903b4b7fa694c149d932bc53ee716df": { "returnCode": 100.0, "stdout": "hello", "errorCode": {} } } }

Change History

This API has no change history records yet.

View all change history